Runs
Run API - Result
Get Run result.
GET
/
{workspaceId}
/
projects
/
{projectName}
/
run
/
{runId}
/
result
runApiResult
import { IntunedClient } from "@intuned/client";
const client = new IntunedClient({
workspaceId: "123e4567-e89b-12d3-a456-426614174000",
apiKey: process.env["INTUNED_API_KEY"] ?? "",
});
async function run() {
const result = await client.projects.runs.result(
"my-project",
"aabbccddeeffggh",
);
console.log(result);
}
run();from intuned_client import IntunedClient
import os
with IntunedClient(
workspace_id="123e4567-e89b-12d3-a456-426614174000",
api_key=os.getenv("INTUNED_API_KEY", ""),
) as client:
res = client.projects.runs.result(
project_name="my-project",
run_id="aabbccddeeffggh",
)
print(res)curl --request GET \
--url https://app.intuned.io/api/v1/workspace/{workspaceId}/projects/{projectName}/run/{runId}/result \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://app.intuned.io/api/v1/workspace/{workspaceId}/projects/{projectName}/run/{runId}/result', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"runId": "123",
"status": "completed",
"result": {
"key1": "value1",
"key2": 42
},
"extendedPayloads": [
{
"api": "my-awesome-api",
"runId": "123",
"parameters": {
"param1": "value1",
"param2": 42
}
}
]
}Authorizations
API Key used to authenticate your requests. How to create one.
Path Parameters
Your workspace ID. How to find it?
The name you assigned when creating the Project.
Run ID
Response
200 - application/json
Run result with status and output data.
Unique identifier for the run, prefixed nanoId (ru_...)
Status of the run execution
Available options:
pending, started, completed, canceled, failed Example:
"completed"
Output result of the run execution
Extended payloads from the run execution
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Error or reason message
Show child attributes
Show child attributes
⌘I
runApiResult
import { IntunedClient } from "@intuned/client";
const client = new IntunedClient({
workspaceId: "123e4567-e89b-12d3-a456-426614174000",
apiKey: process.env["INTUNED_API_KEY"] ?? "",
});
async function run() {
const result = await client.projects.runs.result(
"my-project",
"aabbccddeeffggh",
);
console.log(result);
}
run();from intuned_client import IntunedClient
import os
with IntunedClient(
workspace_id="123e4567-e89b-12d3-a456-426614174000",
api_key=os.getenv("INTUNED_API_KEY", ""),
) as client:
res = client.projects.runs.result(
project_name="my-project",
run_id="aabbccddeeffggh",
)
print(res)